﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using System.Collections.Generic;
using System.Linq;
using Turkceleme.Models;

namespace Turkceleme.Pages
{
    public class IndexModel : PageModel
    {
        private readonly TurkceContext _context;

        public IndexModel(TurkceContext context)
        {
            _context = context;
        }

        public void OnGet()
        {

        }

        public class Data
        {

            public bool requiresCounts { get; set; }
            public int skip { get; set; }

            public int EmployeeID { get; set; }
            public int EmployeeName { get; set; }
            public int take { get; set; }
        }

        public JsonResult OnPostDataSource([FromBody]Data dm)
        {
            var data = _context.Urun.ToList();

            int count = data.Cast<Urun>().Count();
            return dm.requiresCounts ? new JsonResult(new { result = data.Skip(dm.skip).Take(dm.take), count = count }) : new JsonResult(data);
        }

        public JsonResult OnPostInsert([FromBody]CRUDModel<Urun> value)
        {
            _context.Urun.ToList().Insert(0, value.value);
            return new JsonResult(value.value);
        }

        public JsonResult OnPostUpdate([FromBody]CRUDModel<Urun> value)
        {
            var urn = value.value;

            Urun ur = _context.Urun.ToList().Where(u => u.ID == urn.ID).FirstOrDefault();
            ur.ID = urn.ID;
            ur.UrunKodu = urn.UrunKodu;
            ur.UrunAdi = urn.UrunAdi;
            ur.Fiyat = urn.Fiyat;
            ur.Tarih = urn.Tarih;
            ur.Durum = urn.Durum;
            _context.SaveChanges();
            return new JsonResult(value.value);
        }


        public JsonResult OnPostDelete([FromBody]CRUDModel<Urun> value)
        {
            _context.Urun.Remove(_context.Urun.FirstOrDefault(u => u.ID == int.Parse(value.key.ToString())));
            _context.SaveChanges();
            return new JsonResult(value);
        }

        public class CRUDModel<T> where T : class
        {
            public string action { get; set; }

            public string table { get; set; }

            public string keyColumn { get; set; }

            public object key { get; set; }

            public T value { get;  set; }

            public List<T> added { get; set; }

            public List<T> changed { get; set; }

            public List<T> deleted { get; set; }

            public IDictionary<string, object> @params { get; set; }
        }

    }
}