﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using Turkceleme.Models;

namespace Turkceleme.Pages.Urunler
{
    public class CreateModel : PageModel
    {
        private readonly TurkceContext _context;

        public CreateModel(TurkceContext context)
        {
            _context = context;
        }

        public IActionResult OnGet()
        {
            return Page();
        }

        [BindProperty]
        public Urun Urun { get; set; }

        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            _context.Urun.Add(Urun);
            await _context.SaveChangesAsync();

            return RedirectToPage("./Index");
        }
    }
}