﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Turkceleme.Models;

namespace Turkceleme.Pages.Urunler
{
    public class DeleteModel : PageModel
    {
        private readonly Turkceleme.Models.TurkceContext _context;

        public DeleteModel(Turkceleme.Models.TurkceContext context)
        {
            _context = context;
        }

        [BindProperty]
        public Urun Urun { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Urun = await _context.Urun.FirstOrDefaultAsync(m => m.ID == id);

            if (Urun == null)
            {
                return NotFound();
            }
            return Page();
        }

        public async Task<IActionResult> OnPostAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Urun = await _context.Urun.FindAsync(id);

            if (Urun != null)
            {
                _context.Urun.Remove(Urun);
                await _context.SaveChangesAsync();
            }

            return RedirectToPage("./Index");
        }
    }
}
