﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Turkceleme.Models;

namespace Turkceleme.Pages.Urunler
{
    public class EditModel : PageModel
    {
        private readonly Turkceleme.Models.TurkceContext _context;

        public EditModel(Turkceleme.Models.TurkceContext context)
        {
            _context = context;
        }

        [BindProperty]
        public Urun Urun { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Urun = await _context.Urun.FirstOrDefaultAsync(m => m.ID == id);

            if (Urun == null)
            {
                return NotFound();
            }
            return Page();
        }

        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            _context.Attach(Urun).State = EntityState.Modified;

            try
            {
                await _context.SaveChangesAsync();
            }
            catch (DbUpdateConcurrencyException)
            {
                if (!UrunExists(Urun.ID))
                {
                    return NotFound();
                }
                else
                {
                    throw;
                }
            }

            return RedirectToPage("./Index");
        }

        private bool UrunExists(int id)
        {
            return _context.Urun.Any(e => e.ID == id);
        }
    }
}
